%define major		169
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		x265
Version:	3.0
Release:	%mkrel 2
Summary:	H265/AVC encoder
License:	GPLv2
Group:		Video/Utilities
Url:		http://x265.org/
Source0:	http://ftp.videolan.org/pub/videolan/x265/%{name}_%{version}.tar.gz
Patch2:		arm.patch
# From https://bitbucket.org/multicoreware/x265/issues/442/detect512-is-needed-on-all-architectures
Patch3:		enable512.patch
#Patch4:		fix-pkgconfig-install-destination.patch
BuildRequires:	yasm
%ifarch %ix86 x86_64
BuildRequires:	nasm
%endif
BuildRequires:	cmake

%description
x265 is an open-source project and free application library for encoding
video streams into the H.265/High Efficiency Video Coding (HEVC) format.

This package is in tainted repository as the video encoder may be covered
by software patents.

%package -n	%{libname}
Summary:	Shared library of x265
Group:		System/Libraries

%description -n	%{libname}
x265 dynamic libraries.

%package -n	%{develname}
Summary:	H265/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files for %{name}.

%prep
%autosetup -p1 -n %{name}_%{version}

%build
%ifarch aarch64
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
%endif
%cmake ../source \
  -DLIB_INSTALL_DIR=%{_lib} \
%ifarch %{arm} aarch64
  -DENABLE_ASSEMBLY=OFF
%else
  -DENABLE_ASSEMBLY=ON
%endif

%make_build

%install
%make_install -C build

#TODO disable static build
rm %{buildroot}%{_libdir}/libx265.a

%files
%doc COPYING
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libx265.so.%{major}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Apr 23 2019 kekepower <kekepower> 3.0-2.mga7
+ Revision: 1395032
- Fix libdir path in x265.pc

* Mon Feb 04 2019 zezinho <zezinho> 3.0-1.mga7.tainted
+ Revision: 1363049
- new version 3.0 build 169

* Fri Oct 12 2018 wally <wally> 2.9-1.mga7.tainted
+ Revision: 1319832
- add patch to use detect512() function on all arches
+ zezinho <zezinho>
- version 2.9 - remove ppc64le patch

* Mon Sep 24 2018 wally <wally> 2.8-5.mga7.tainted
+ Revision: 1303602
- disable ASM assebly also on aarch64
- build with nasm on x86_64
- build with nasm on ix86
- add Arch Linux patch to fix build on arm (disable all ARM assembly)

* Mon Sep 24 2018 wally <wally> 2.8-3.mga7.tainted
+ Revision: 1303534
- add updtream patch to fix build on aarch64

* Fri Sep 21 2018 umeabot <umeabot> 2.8-2.mga7.tainted
+ Revision: 1292157
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 zezinho <zezinho> 2.8-1.mga7.tainted
+ Revision: 1234361
- new version 2.8

* Mon Apr 30 2018 ovitters <ovitters> 2.7-2.mga7.tainted
+ Revision: 1224028
- rebuild for missing signature

* Fri Apr 27 2018 zezinho <zezinho> 2.7-1.mga7.tainted
+ Revision: 1222849
- new version 2.7

* Tue Dec 12 2017 zezinho <zezinho> 2.6-1.mga7.tainted
+ Revision: 1182396
- new version 2.6

* Tue Nov 07 2017 zezinho <zezinho> 2.5-1.mga7.tainted
+ Revision: 1176351
- new version

* Sat Dec 31 2016 luigiwalser <luigiwalser> 2.2-1.mga6.tainted
+ Revision: 1078929
- 2.2
- library major is now 102

* Fri Nov 11 2016 luigiwalser <luigiwalser> 2.1-1.mga6
+ Revision: 1066618
- 2.1
- library major is now 95

* Sat Sep 10 2016 luigiwalser <luigiwalser> 2.0-1.mga6.tainted
+ Revision: 1051190
- 2.0
- library major is now 87

* Mon Feb 08 2016 zezinho <zezinho> 1.9-1.mga6.tainted
+ Revision: 950296
- fix libversion
- new version 1.9

* Thu Oct 08 2015 zezinho <zezinho> 1.8-2.mga6.tainted
+ Revision: 887880
- move so file to devel
- imported package x265

